// Code generated by goctl. DO NOT EDIT.
package types

import (
	"fusenapi/utils/basic"
)

type DataTransferData struct {
	T string      `json:"t"` //消息类型
	D interface{} `json:"d"` //传递的消息
}

type RenderImageReqMsg struct {
	ProductIds     []int64 `json:"product_ids"`      //产品 id
	MapsSourceId   int64   `json:"maps_source_id"`   //贴图数据id
	TemplateId     int64   `json:"template_id"`      //模板id
	UserId         int64   `json:"user_id"`          //用户id(这个前端不用传，后台获取)
	RenderDesignId int64   `json:"render_design_id"` //渲染设计id
}

type RenderImageRspMsg struct {
	ProductId      int64  `json:"product_id"`       //产品 id
	MapsSourceId   int64  `json:"maps_source_id"`   //贴图数据id
	TemplateId     int64  `json:"template_id"`      //模板id
	RenderDesignId int64  `json:"render_design_id"` //渲染设计id
	RenderResult   string `json:"render_result"`    //渲染结果数据
}

type RenderNotifyReq struct {
	Sign string     `json:"sign"`
	Time int64      `json:"time"`
	Info NotifyInfo `json:"info"`
}

type NotifyInfo struct {
	ProductId      int64  `json:"product_id"`
	MapsSourceId   int64  `json:"maps_source_id"`
	TemplateId     int64  `json:"template_id"`
	RenderDesignId int64  `json:"render_design_id"` //渲染设计id
	RenderResult   string `json:"render_result"`    //渲染结果数据
}

type Request struct {
}

type Response struct {
	Code    int         `json:"code"`
	Message string      `json:"msg"`
	Data    interface{} `json:"data"`
}

type Auth struct {
	AccessSecret string `json:"accessSecret"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type File struct {
	Filename string              `fsfile:"filename"`
	Header   map[string][]string `fsfile:"header"`
	Size     int64               `fsfile:"size"`
	Data     []byte              `fsfile:"data"`
}

type Meta struct {
	TotalCount  int64 `json:"totalCount"`
	PageCount   int64 `json:"pageCount"`
	CurrentPage int   `json:"currentPage"`
	PerPage     int   `json:"perPage"`
}

// Set 设置Response的Code和Message值
func (resp *Response) Set(Code int, Message string) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
	}
}

// Set 设置整个Response
func (resp *Response) SetWithData(Code int, Message string, Data interface{}) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
		Data:    Data,
	}
}

// SetStatus 设置默认StatusResponse(内部自定义) 默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatus(sr *basic.StatusResponse, data ...interface{}) *Response {
	newResp := &Response{
		Code: sr.Code,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}

// SetStatusWithMessage 设置默认StatusResponse(内部自定义) 非默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatusWithMessage(sr *basic.StatusResponse, msg string, data ...interface{}) *Response {
	newResp := &Response{
		Code:    sr.Code,
		Message: msg,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}
